diff mini-native.sh @ 75:38e7e0cc3b9f

Build mksquashfs in the non-short cross-compiler, and use it at the end of make mini-native on the tools directory. Also tar up mini-native, and put both the cross-compiler and mini-native tarballs in the build directory. and
author Rob Landley <rob@landley.net>
date Fri, 29 Dec 2006 23:53:05 -0500
parents fd2cf40fcd02
children 6dd38c925bc4
line wrap: on
line diff
--- a/mini-native.sh	Fri Dec 29 20:00:27 2006 -0500
+++ b/mini-native.sh	Fri Dec 29 23:53:05 2006 -0500
@@ -158,9 +158,18 @@
 
 fi
 
-# Packaging goes here
+# Clean up and package the result
 
 "${ARCH}-strip" "${TOOLS}"/{bin/*,sbin/*,libexec/gcc/*/*/*}
 
+cd "${BUILD}"
+echo -n "Creating tools.sqf"
+("${WORK}/mksquashfs" "${NATIVE}/tools" "tools-${ARCH}.sqf" \
+  -noappend -all-root -info || dienow) | dotprogress
+
+echo -n creating mini-native-"${ARCH}".tar.bz2 &&
+{ tar cjvf "mini-native-${ARCH}.tar.bz2" "mini-native-${ARCH}" || dienow
+} | dotprogress
+
 # Color back to normal
 echo -e "\e[0mBuild complete"